function [ GenLog ] = Post_Deltas2Traj( GenLog )
%POST_DELTAS2TRAJ Summary of this function goes here
%   Detailed explanation goes here

% calculate the detlas for root x,y,z position
% for each frame, the difference from the previous frame is calculated and
% replaced



initPos = [0,0];
lastDeltaPos = GenLog.postvis(1,[1,3]);
GenLog.postvis(1,[1,3]) = initPos;
for f=2:size(GenLog.postvis,1)
    rootPos = GenLog.postvis(f-1,[1,3]) + lastDeltaPos;
    lastDeltaPos = GenLog.postvis(f,[1,3]);
    GenLog.postvis(f,[1,3]) = rootPos;
end

end

